#!/bin/bash
# This doesn't check if the data has gotten 
# bigger than the data store will hold.

function checkRC
{
    rc=$1
    name=$2

    if [ $rc != 0 ]
    then
        echo "== $name failed with rsync rc=$rc =="
    fi
}


# Where do the backups go?
LOGIN=root@feynman
BRAHE=$LOGIN:/media/BackupDrive/feynman
if [ "$1" != "" ]
then
    BRAHE=$1
fi

# Command to verify the remote server is ready.
VERIFYCMD="grep /media/BackupDrive /etc/mtab"

# Backup the following directories
DIR1="/home/httpd"
DIR2="/home/mjhammel"
EXCL2=--exclude-from=/home/mjhammel/.rsync/local
DATE=`date`

# ==================================================
# Check to make sure the backup server has the
# external drive mounted.
ssh $LOGIN $VERIFYCMD 2>&1 > /dev/null
if [ $? = 1 ]
then
	echo "== Backup of `uname -n` failed: remote server not ready"
	echo "== Command failed on remote server: $VERIFYCMD"
	exit 1
fi
# ==================================================

echo ""
echo ""
echo "== Backing up `uname -n` to $BRAHE."
echo "== Started @ $DATE "

echo "== Directory: $DIR1"
rsync -aq --safe-links $DIR1 $BRAHE
checkRC $? "$DIR1"

echo "== Directory: $DIR2"
rsync -axq --safe-links $EXCL2 $DIR2 $BRAHE
checkRC $? "$DIR2"

DATE=`date`
echo "Backups complete @ $DATE"

